Imports System.Collections.Generic
Imports System.Linq
Imports System.Web
Imports System.Web.UI
Imports System.Web.UI.WebControls
Imports System.Drawing
Imports SelectPdf

Namespace SelectPdf.Samples
    Partial Public Class pdf_templates
        Inherits System.Web.UI.Page

        Protected Sub BtnCreatePdf_Click(sender As Object, e As EventArgs)
            ' create a new pdf document
            Dim doc As New PdfDocument()

            ' create a new pdf font
            Dim font As PdfFont = doc.AddFont(PdfStandardFont.Helvetica)
            font.Size = 24

            ' add a new page to the document
            Dim page As PdfPage = doc.AddPage()

            ' create a new text element and add it to the page
            Dim text As New PdfTextElement(0, 0, Helper.SomeLongText(), font)
            page.Add(text)

            ' get image path
            Dim imgFile As String = Server.MapPath("~/files/logo.png")

            ' add a template containing an image
            ' the image should repeat on all pdf pages automatically
            Dim template1 As PdfTemplate = doc.AddTemplate(New RectangleF(100, 0, 400, 150))
            Dim img1 As New PdfImageElement(0, 0, imgFile)
            template1.Add(img1)

            ' add another template containing an image behind the existing page elements 
            ' (under the text)
            ' the image should repeat on all pdf pages automatically
            Dim template2 As PdfTemplate = doc.AddTemplate(New RectangleF(100, 200, 400, 150))
            template2.Background = True
            Dim img2 As New PdfImageElement(0, 0, imgFile)
            template2.Add(img2)

            ' save pdf document
            doc.Save(Response, False, "Sample.pdf")

            ' close pdf document
            doc.Close()
        End Sub
    End Class
End Namespace
